--
-- Addon for moveable Fermier
--
-- @author Aranea
-- @date 01/02/2013
--

Fermier = {};

function Fermier.prerequisitesPresent(specializations)
	return true;
end;

function Fermier:load(xmlFile)
	self.armNode = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.characterNode#armIndex"));
end;

function Fermier:postLoad(xmlFile)
	if self.armNode ~= nil then
		setVisibility(self.armNode, false);
	end;
end;

function Fermier:delete()
end;

function Fermier:readStream(streamId, connection)
end;

function Fermier:writeStream(streamId, connection)
end;

function Fermier:loadFromAttributesAndNodes(xmlFile, key, resetVehicles)
end;

function Fermier:getSaveAttributesAndNodes(nodeIdent)
end;

function Fermier:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Fermier:keyEvent(unicode, sym, modifier, isDown)
end;

function Fermier:update(dt)
end;

function Fermier:updateTick(dt)
end;

function Fermier:draw()
end;

function Fermier:onEnter()
	if self.armNode ~= nil then
		setVisibility(self.armNode, true);
	end;
end;

function Fermier:onLeave()
	if self.armNode ~= nil then
		if self.disableCharacterOnLeave then
			setVisibility(self.armNode, false);
		else
			setVisibility(self.armNode, true);
		end;
	end;
end;
